package com.example.wabi.view.screens.signUp

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.navigation.NavHostController
import com.example.wabi.domain.navigation.Routes
import com.example.wabi.domain.repository.UserData
import com.example.wabi.view.common_elements.button.ButtonBack


@Composable
fun SignUp(navController: NavHostController, vm: SignUpViewModel = hiltViewModel()) {

    // val states = listOf()
    //UserData.currentScreen = Routes.SIGNUP

    Row {
        ButtonBack(onClick = {
            vm.goToSignIn(navController)
        }, modifier = Modifier.padding(10.dp))
    }
    Column(
        modifier = Modifier.fillMaxWidth()
    ) {

    }
}

